summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index c298ddee64..9744b15244 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -31,7 +31,7 @@ if test "$DIE" -eq 1; then
exit 1
fi
-(test -d gtk && test -d glib) || {
+test -d gtk || {
echo "You must run this script in the top-level GTK+ directory"
exit 1
}
@@ -41,11 +41,9 @@ if test -z "$*"; then
echo "to pass any to it, please specify them on the $0 command line."
fi
-for i in glib .
-do
- echo processing $i
- (cd $i; aclocal; automake; autoconf)
-done
+aclocal
+automake
+autoconf
./configure "$@"
echo